<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Keyboard](./puppeteer.keyboard.md) &gt; [up](./puppeteer.keyboard.up.md)

## Keyboard.up() method

Dispatches a `keyup` event.

<b>Signature:</b>

```typescript
up(key: KeyInput): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | [KeyInput](./puppeteer.keyinput.md) | Name of key to release, such as <code>ArrowLeft</code>. See [KeyInput](./puppeteer.keyinput.md) for a list of all key names. |

<b>Returns:</b>

Promise&lt;void&gt;

